#include "StdAfx.h"
#include ".\commandlineoption.h"

CCommandLineOption::CCommandLineOption(void)
: m_bDisableAutoSelect(false)
, m_bUISpecified(false)
{
	const LPCSTR cmdLine = ::GetCommandLine();
	LPCSTR stPos, curPos;

	curPos = strstr(cmdLine, " -ui");
	if( curPos != NULL ){
		curPos += 4;
		if( '\0' <= *curPos && *curPos <= ' ' ){
			m_bDisableAutoSelect = true;
		}
	}

	stPos = strstr(cmdLine, " -ui=");
	if( stPos != NULL ){
		m_bUISpecified = true;
		stPos += 5;
		for( curPos = stPos; *curPos != '\0'; ++curPos ){
			if( '\0' <= *curPos && *curPos <= ' ' )
				break;
		}
		if( stPos != curPos ){
			m_dllName.assign(stPos, curPos);
		}
	}
}

CCommandLineOption::~CCommandLineOption(void)
{
}
