#pragma once
#include <string>

class CCommandLineOption
{
private:
	std::string m_dllName;
	bool m_bDisableAutoSelect;
	bool m_bUISpecified;

public:
	CCommandLineOption(void);
	~CCommandLineOption(void);

	bool IsDisableAutoSelect() const
	{ return m_bDisableAutoSelect; }
	bool IsUISpecified() const
	{ return m_bUISpecified; }
	LPCSTR GetSpecifiedDllName() const
	{ return m_dllName.c_str(); }
};
