#include "StdAfx.h"
#include ".\settingdlg.h"

CSettingDlg::CSettingDlg(void)
: CDlg(IDD_SETTING)
{
}

CSettingDlg::~CSettingDlg(void)
{
}

//*******************************************************************
// I[o[Ch
//*******************************************************************
// ݒ_CAÕ_CAOvV[W
BOOL CSettingDlg::DlgProc(UINT uMsg, WPARAM wParam, LPARAM /*lParam*/)
{
	switch(uMsg){
	case WM_COMMAND:
		switch(LOWORD(wParam)){
		case IDC_AUTO:
			EnableItems(GetCheck(IDC_AUTO));
			break;

		default:
			return FALSE;
		}
		return TRUE;
	}
	return FALSE;
}

// ݒ_CAORg[
BOOL CSettingDlg::InitDlgCtrl()
{
	StringList::iterator i;
	HWND hCombo = GetDlgItem(IDC_UI_COMBO);

	SetCheck(IDC_AUTO, m_bUseAutoBoot);

	for( i = m_modules.begin(); i != m_modules.end(); i++ ){
		::SendMessage(hCombo, CB_ADDSTRING, 0, (LPARAM)i->c_str());
	}
	::SendMessage(hCombo, CB_SETCURSEL, m_nSelected, 0);

	SetItemText(IDC_BOOT_TIME, m_timeForBoot);

	EnableItems(GetCheck(IDC_AUTO));

	return TRUE;
}

// ݒ_CAO̒lOptionSettingsɐݒ
BOOL CSettingDlg::GetDlgCtrlValue()
{
	m_bUseAutoBoot = GetCheck(IDC_AUTO);
	m_nSelected = ::SendMessage(GetDlgItem(IDC_UI_COMBO), CB_GETCURSEL, 0, 0);
	m_timeForBoot = GetItemTextInt(IDC_BOOT_TIME);

	return TRUE;
}


