#pragma once
#include <vector>
#include "UIPlugin.h"

#define MY_NAME		"UISelector"
#define MY_VERSION	"0.1.2"

#define UIS_REBOOT	NMM_ADDIN "/" MY_NAME "/UIService/Reboot" 
#define UIS_REBOOT_MENU	L"UIIčċN"

#define BUF_SZ	256

//****************************************************************

#ifdef __cplusplus
extern "C" {
#endif

int __declspec(dllexport) __stdcall GetPluginInfo(int nInfoNo, LPTSTR lpBuffer, int nSize);
int __declspec(dllexport) __stdcall Initialize(PNsmPluginInitInfo lpInitInfo);
int __declspec(dllexport) __stdcall Terminate();

#ifdef __cplusplus
}
#endif

//****************************************************************

typedef std::vector<CUIPlugin*> ModuleList;

int __stdcall ExitSystem(WPARAM w, LPARAM l);

void LoadUIModules(LPCSTR path, ModuleList &list);
void UnloadModules(ModuleList &list, CUIPlugin *pExcept);

void GetMyDir(HMODULE hModule, LPSTR path);

void WaitForUISelect();
void UISelect(HINSTANCE hInst);

void RebootWithUISelect(HINSTANCE hInst);
